LIBRARY ieee;
USE ieee.std_logic_1164.all;
USE ieee.numeric_std.all;

ENTITY afficheur IS
PORT(
	Resultat : IN STD_LOGIC_VECTOR(1 downto 0);
	Segments : OUT STD_LOGIC_VECTOR(6 downto 0)
	);
END afficheur;
	
ARCHITECTURE affiche OF afficheur IS	
BEGIN
	
	PROCESS (Resultat)
	BEGIN
		CASE(Resultat) IS
			WHEN "00" => Segments <= "1000000";
			WHEN "01" => Segments <= "1111001";
			WHEN "10" => Segments <= "0100100";
			WHEN OTHERS => Segments <= "1111111";
		END CASE;
	END PROCESS;
	
END affiche;	